diff --git a/CMakeLists.txt b/CMakeLists.txt
index b5e8cb0af..b30046547 100644
--- a/CMakeLists.txt
+++ b/CMakeLists.txt
@@ -219,6 +219,7 @@ set(SURGE_GUI_SOURCES
   src/common/gui/CEffectSettings.cpp
   src/common/gui/CHSwitch2.cpp
   src/common/gui/CLFOGui.cpp
+  src/common/gui/CMenuAsSlider.cpp
   src/common/gui/CModulationSourceButton.cpp
   src/common/gui/CNumberField.cpp
   src/common/gui/COscillatorDisplay.cpp
diff --git a/assets/SurgeClassic/exported/bmp00167.svg b/assets/SurgeClassic/exported/bmp00167.svg
new file mode 100644
index 000000000..03fea555f
--- /dev/null
+++ b/assets/SurgeClassic/exported/bmp00167.svg
@@ -0,0 +1,5 @@
+<?xml version="1.0" encoding="utf-8"?>
+<svg viewBox="0 0 133 18" xmlns="http://www.w3.org/2000/svg" xmlns:bx="https://boxy-svg.com">
+  <path d="M 2.121 8.867 C 2.121 7.156 2.641 5.695 3.683 4.485 C 4.724 3.275 5.982 2.67 7.455 2.67 L 124.784 2.67 C 126.257 2.67 127.514 3.275 128.556 4.485 C 129.597 5.695 130.117 7.156 130.117 8.867 C 130.117 10.578 129.597 12.039 128.556 13.249 C 127.514 14.459 126.257 15.064 124.784 15.064 L 7.455 15.064 C 5.982 15.064 4.724 14.459 3.683 13.249 C 2.641 12.039 2.121 10.578 2.121 8.867 L 2.121 8.867 L 2.121 8.867 Z" id="Rectangle#32" fill="#F4F4F5" stroke="#919192" stroke-width="1" style=""/>
+  <path d="M 121.101 69.345 L 123.851 74.106 L 118.35 74.106 L 121.101 69.345 Z" style="" transform="matrix(0.507381, -0.861722, 0.861722, 0.507381, 0.363209, 75.373001)" bx:shape="triangle 118.35 69.345 5.501 4.761 0.5 0 1@85e181cd"/>
+</svg>
\ No newline at end of file
diff --git a/doc/AddingAnSVG b/doc/AddingAnSVG
new file mode 100644
index 000000000..ba0678e0b
--- /dev/null
+++ b/doc/AddingAnSVG
@@ -0,0 +1,8 @@
+# Adding an SVG to the Resources Bundle
+
+We have some 'well named' SVGs which compile into the bundle. These are all in
+assets/SurgeClassic/exported. What happens if you want to add one?
+
+1. Add the ID to the IDB_ in resource.h. You are now done for mac and linux actually!
+2. Add the IDB_BLAH_SVG_DATA in svgresources.rc
+3. Add the IDB_MENU_IN_SLIDER_SCALE_BLAH defines to scalableresource.h
\ No newline at end of file
diff --git a/resources/data/skins/dark-mode.surge-skin/SVG/bmp00167.svg b/resources/data/skins/dark-mode.surge-skin/SVG/bmp00167.svg
new file mode 100644
index 000000000..35d053724
--- /dev/null
+++ b/resources/data/skins/dark-mode.surge-skin/SVG/bmp00167.svg
@@ -0,0 +1,18 @@
+<?xml version="1.0" encoding="utf-8"?>
+<svg width="133px" height="18px" viewBox="0 0 133 18" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns="http://www.w3.org/2000/svg">
+  <desc>Created with Lunacy</desc>
+  <defs>
+    <linearGradient x1="0.5" y1="0" x2="0.5" y2="1" id="gradient_1">
+      <stop offset="0" stop-color="#434343" />
+      <stop offset="1" stop-color="#303030" />
+    </linearGradient>
+    <rect width="133" height="18" id="artboard_1" />
+    <clipPath id="clip_1">
+      <use xlink:href="#artboard_1" clip-rule="evenodd" />
+    </clipPath>
+  </defs>
+  <g id="bmp00167" clip-path="url(#clip_1)">
+    <path d="M0 4L0 2C0 1.44772 0.195262 0.976311 0.585786 0.585786C0.976311 0.195262 1.44772 0 2 0L126 0C126.552 0 127.024 0.195262 127.414 0.585786C127.805 0.976311 128 1.44772 128 2L128 12C128 12.5523 127.805 13.0237 127.414 13.4142C127.024 13.8047 126.552 14 126 14L2 14C1.44772 14 0.976311 13.8047 0.585786 13.4142C0.195262 13.0237 0 12.5523 0 12L0 4L0 4L0 4Z" transform="translate(2.499939 2)" id="Rectangle#45" fill="url(#gradient_1)" stroke="#0F0F0F" stroke-width="1" />
+    <path d="M2.25091 0L4.501 3.761L0 3.761L2.25091 0L2.25091 0Z" transform="matrix(0.507381 -0.861722 0.861722 0.507381 120.86177 9.091766)" id="Shape" fill="#0F0F0F" stroke="none" />
+  </g>
+</svg>
\ No newline at end of file
diff --git a/resources/data/skins/dark-mode.surge-skin/skin.xml b/resources/data/skins/dark-mode.surge-skin/skin.xml
index 57040169a..52aabcd86 100644
--- a/resources/data/skins/dark-mode.surge-skin/skin.xml
+++ b/resources/data/skins/dark-mode.surge-skin/skin.xml
@@ -100,6 +100,11 @@
     <color id="slider.modulation" value="#FFBF00"/>
     <color id="slider.negative.modulation" value="$gray"/>
 
+    <color id="menuslider.value" value="$lightgray"/>
+    <color id="menuslider.value.hover" value="#D4C4B4"/>
+    <color id="menuslider.label" value="$lightgray"/>
+    
+        
     <color id="vumeter.level" value="#0055B0"/>
     <color id="vumeter.highlevel" value="$red"/>
     <color id="vumeter.background" value="$darkergray"/>
diff --git a/src/common/Parameter.cpp b/src/common/Parameter.cpp
index eead73989..988db65a1 100644
--- a/src/common/Parameter.cpp
+++ b/src/common/Parameter.cpp
@@ -2194,6 +2194,21 @@ void Parameter::get_display(char* txt, bool external, float ef)
               sprintf(txt, "%s", type.c_str());
            }
          break;
+
+      case ct_airwindow_fx:
+      {
+         // These are all the ones with a ParameterDiscreteIndexRemapper
+         auto pd = dynamic_cast<ParameterDiscreteIndexRemapper*>(user_data);
+         if( pd )
+         {
+            sprintf(txt, "%s", pd->nameAtStreamedIndex(i).c_str() );
+         }
+         else
+         {
+            sprintf(txt, "%i", i);
+         }
+         break;
+      }
       default:
          sprintf(txt, "%i", i);
          break;
diff --git a/src/common/dsp/effect/airwindows/airwindows_adapter.cpp b/src/common/dsp/effect/airwindows/airwindows_adapter.cpp
index 182e66ebf..b3a725a36 100644
--- a/src/common/dsp/effect/airwindows/airwindows_adapter.cpp
+++ b/src/common/dsp/effect/airwindows/airwindows_adapter.cpp
@@ -57,7 +57,7 @@ int AirWindowsEffect::group_label_ypos(int id)
 void AirWindowsEffect::init_ctrltypes() {
    registerPlugins();
    Effect::init_ctrltypes();
-   fxdata->p[0].set_name( "FX Selector" );
+   fxdata->p[0].set_name( "FX" );
    fxdata->p[0].set_type( ct_airwindow_fx );
    fxdata->p[0].posy_offset = 1;
    fxdata->p[0].val_max.i = fxreg.size() - 1;
diff --git a/src/common/gui/CLFOGui.cpp b/src/common/gui/CLFOGui.cpp
index 19580549e..0133c89d2 100644
--- a/src/common/gui/CLFOGui.cpp
+++ b/src/common/gui/CLFOGui.cpp
@@ -1155,8 +1155,16 @@ CMouseEventResult CLFOGui::onMouseDown(CPoint& where, const CButtonState& button
       }
       else if (rect_shapes.pointInside(where))
       {
-         controlstate = cs_shape;
-         onMouseMoved(where, buttons);
+         if( buttons & kRButton )
+         {
+            controlstate = cs_null;
+            listener->controlModifierClicked(this, buttons);
+         }
+         else
+         {
+            controlstate = cs_shape;
+            onMouseMoved(where, buttons);
+         }
          return kMouseEventHandled;
       }
    }
diff --git a/src/common/gui/CMenuAsSlider.cpp b/src/common/gui/CMenuAsSlider.cpp
new file mode 100644
index 000000000..daf7d57c5
--- /dev/null
+++ b/src/common/gui/CMenuAsSlider.cpp
@@ -0,0 +1,117 @@
+/*
+** Surge Synthesizer is Free and Open Source Software
+**
+** Surge is made available under the Gnu General Public License, v3.0
+** https://www.gnu.org/licenses/gpl-3.0.en.html
+**
+** Copyright 2004-2020 by various individuals as described by the Git transaction log
+**
+** All source at: https://github.com/surge-synthesizer/surge.git
+**
+** Surge was a commercial product from 2004-2018, with Copyright and ownership
+** in that period held by Claes Johanson at Vember Audio. Claes made Surge
+** open source in September 2018.
+*/
+
+#include "CMenuAsSlider.h"
+#include "SurgeGUIEditor.h"
+#include "CScalableBitmap.h"
+#include <iostream>
+#include "DebugHelpers.h"
+
+using namespace VSTGUI;
+
+extern VSTGUI::CFontRef displayFont;
+
+CMenuAsSlider::CMenuAsSlider(const VSTGUI::CPoint& loc,
+                             VSTGUI::IControlListener* listener,
+                             long tag,
+                             std::shared_ptr<SurgeBitmaps> bitmapStore,
+                             SurgeStorage* storage) :
+   CControl(CRect( loc, CPoint( 133, 22 ) ), listener, tag )
+{
+   // this->storage = storage;
+   auto size = CRect( 0, 0, 133, 22);
+   size.offset( loc.x, loc.y );
+   setViewSize( size );
+   setMouseableArea( size );
+}
+
+CMenuAsSlider::~CMenuAsSlider() {
+}
+
+void CMenuAsSlider::draw( VSTGUI::CDrawContext *dc )
+{
+   auto r = getViewSize();
+
+   auto d = r;
+   d.top += 2; d.bottom -= 2; 
+
+
+   if( isHover && pBackgroundHover )
+   {
+      pBackgroundHover->draw( dc, d );
+   }
+   else if( pBackground )
+   {
+      pBackground->draw( dc, d );
+   }
+
+   auto sge = dynamic_cast<SurgeGUIEditor*>(listener);
+
+   dc->setFont(displayFont);
+   int splitPoint = 48;
+   if( sge )
+   {
+      std::string dt = sge->getDisplayForTag( getTag() );
+      auto valcol = skin->getColor( "menuslider.value", kBlackCColor );
+      if( isHover )
+         valcol = skin->getColor( "menuslider.value.hover", CColor( 60, 20, 0 ) );
+            
+      dc->setFontColor( valcol );
+      auto t = d;
+      t.right -= 14;
+      t.left += splitPoint;
+      auto td = dt;
+      bool trunc = false;
+      while( dc->getStringWidth( td.c_str() ) > t.getWidth() && td.length() > 4 )
+      {
+         td = td.substr( 0, td.length() - 3 );
+         trunc = true;
+      }
+      if( trunc ) td += "...";
+      dc->drawString( td.c_str(), t, kRightText, true );
+
+      auto l = d;
+      l.left += 5;
+      l.right = d.left + splitPoint;
+      auto tl = label;
+      trunc = false;
+      while( dc->getStringWidth( tl.c_str() ) > l.getWidth() && tl.length() > 4 )
+      {
+         tl = tl.substr( 0, tl.length() - 3 );
+         trunc = true;
+      }
+      if( trunc ) tl += "...";
+      auto labcol = skin->getColor( "menuslider.label", kBlackCColor );
+      dc->setFontColor( labcol );
+      dc->drawString( tl.c_str(), l, kLeftText, true ); 
+   }
+}
+
+CMouseEventResult CMenuAsSlider::onMouseDown( CPoint &w, const CButtonState &buttons ) {
+   // fake up an RMB since we are a slider sit-in
+   listener->controlModifierClicked( this, buttons | kRButton );
+   return kMouseEventHandled;
+}
+
+void CMenuAsSlider::onSkinChanged()
+{
+   pBackground = associatedBitmapStore->getBitmap( IDB_MENU_IN_SLIDER_BG );
+   pBackgroundHover = skin->hoverBitmapOverlayForBackgroundBitmap(skinControl,
+                                                              dynamic_cast<CScalableBitmap*>( pBackground ),
+                                                              associatedBitmapStore,
+                                                              Surge::UI::Skin::HoverType::HOVER);
+   std::cout << pBackground << " " << pBackgroundHover << std::endl;
+   
+}
diff --git a/src/common/gui/CMenuAsSlider.h b/src/common/gui/CMenuAsSlider.h
new file mode 100644
index 000000000..757d66c58
--- /dev/null
+++ b/src/common/gui/CMenuAsSlider.h
@@ -0,0 +1,70 @@
+// -*-c++-*-
+/*
+** Surge Synthesizer is Free and Open Source Software
+**
+** Surge is made available under the Gnu General Public License, v3.0
+** https://www.gnu.org/licenses/gpl-3.0.en.html
+**
+** Copyright 2004-2020 by various individuals as described by the Git transaction log
+**
+** All source at: https://github.com/surge-synthesizer/surge.git
+**
+** Surge was a commercial product from 2004-2018, with Copyright and ownership
+** in that period held by Claes Johanson at Vember Audio. Claes made Surge
+** open source in September 2018.
+*/
+
+#pragma once
+#include "vstcontrols.h"
+#include "SurgeBitmaps.h"
+#include "SurgeParamConfig.h"
+#include "SkinSupport.h"
+
+class CMenuAsSlider : public VSTGUI::CControl, public Surge::UI::SkinConsumingComponnt
+{
+public:
+   CMenuAsSlider(const VSTGUI::CPoint& loc,
+                VSTGUI::IControlListener* listener,
+                long tag,
+                std::shared_ptr<SurgeBitmaps> bitmapStore,
+                SurgeStorage* storage = nullptr);
+   virtual ~CMenuAsSlider();
+   virtual void draw(VSTGUI::CDrawContext*) override;
+   void setLabel( const char* lab ) { label = lab; }
+   
+   // virtual bool onWheel(const VSTGUI::CPoint& where, const float &distane, const VSTGUI::CButtonState& buttons) override;
+
+   virtual VSTGUI::CMouseEventResult onMouseDown(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override; ///< called when a mouse down event occurs
+   virtual VSTGUI::CMouseEventResult onMouseUp(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override
+      {
+         return VSTGUI::kMouseEventHandled;
+      }
+
+   virtual VSTGUI::CMouseEventResult onMouseEntered(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override
+      {
+         isHover = true;
+         invalid();
+         return VSTGUI::kMouseEventHandled;
+      }
+   
+   virtual VSTGUI::CMouseEventResult onMouseExited(VSTGUI::CPoint& where, const VSTGUI::CButtonState& buttons) override
+      {
+         isHover = false;
+         invalid();
+         return VSTGUI::kMouseEventHandled;
+      }
+
+
+   
+   CLASS_METHODS(CMenuAsSlider, CControl)
+   bool in_hover = false;
+   SurgeStorage* storage = nullptr;
+   
+   virtual void onSkinChanged() override;
+
+private:
+   VSTGUI::CBitmap *pBackground = nullptr, *pBackgroundHover = nullptr;
+   std::string label = "";
+   bool isHover = false;
+   bool wheelInitiatedEdit = false;
+};
diff --git a/src/common/gui/SurgeBitmaps.cpp b/src/common/gui/SurgeBitmaps.cpp
index 9ddfe2996..eeae24776 100644
--- a/src/common/gui/SurgeBitmaps.cpp
+++ b/src/common/gui/SurgeBitmaps.cpp
@@ -85,6 +85,7 @@ void SurgeBitmaps::setupBitmapsForFrame(VSTGUI::CFrame* f)
    addEntry(IDB_STOREPATCH, f);
    addEntry(IDB_BUTTON_MENU, f);
    addEntry(IDB_LFOTYPE, f);
+   addEntry(IDB_MENU_IN_SLIDER_BG, f);
 }
 
 void SurgeBitmaps::addEntry(int id, VSTGUI::CFrame* f)
diff --git a/src/common/gui/SurgeGUIEditor.cpp b/src/common/gui/SurgeGUIEditor.cpp
index 0a5797586..f84b45f2d 100644
--- a/src/common/gui/SurgeGUIEditor.cpp
+++ b/src/common/gui/SurgeGUIEditor.cpp
@@ -28,6 +28,7 @@
 #include "CLFOGui.h"
 #include "CEffectSettings.h"
 #include "CSurgeVuMeter.h"
+#include "CMenuAsSlider.h"
 #include "CEffectLabel.h"
 #include "CAboutBox.h"
 #include "vstcontrols.h"
@@ -827,16 +828,19 @@ void SurgeGUIEditor::refresh_mod()
    {
       if (param[i])
       {
-         CSurgeSlider* s = (CSurgeSlider*)param[i];
-         if (s->is_mod)
+         auto *s = dynamic_cast<CSurgeSlider*>(param[i]);
+         if( s )
          {
-            s->setModMode(mod_editor ? 1 : 0);
-            s->setModPresent(synth->isModDestUsed(i));
-            s->setModCurrent(synth->isActiveModulation(i, thisms), synth->isBipolarModulation(thisms));
+            if (s->is_mod)
+            {
+               s->setModMode(mod_editor ? 1 : 0);
+               s->setModPresent(synth->isModDestUsed(i));
+               s->setModCurrent(synth->isActiveModulation(i, thisms), synth->isBipolarModulation(thisms));
+            }
+            // s->setDirty();
+            s->setModValue(synth->getModulation(i, thisms));
+            s->invalid();
          }
-         // s->setDirty();
-         s->setModValue(synth->getModulation(i, thisms));
-         s->invalid();
       }
    }
 #if OSC_MOD_ANIMATION
@@ -1939,6 +1943,23 @@ void SurgeGUIEditor::openOrRecreateEditor()
             polydisp = key;
          }
          break;
+         case ct_airwindow_fx:
+         case ct_flangermode:
+         case ct_flangerwave:
+         case ct_distortion_waveshape:
+         case ct_sinefmlegacy:
+         {
+            auto hs = new CMenuAsSlider(CPoint(p->posx, p->posy + p->posy_offset * yofs),
+                                        this,
+                                        p->id + start_paramtags,
+                                        bitmapStore,
+                                        &(synth->storage));
+            hs->setSkin( currentSkin, bitmapStore );
+            hs->setLabel(p->get_name());
+            frame->addView( hs );
+            param[i] = hs;
+         }
+         break;
          default:
          {
             if (synth->isValidModulation(p->id, modsource))
@@ -1963,17 +1984,17 @@ void SurgeGUIEditor::openOrRecreateEditor()
                   hs->deactivated = false;
 
 
-            if( p->valtype  == vt_int || p->valtype  == vt_bool)
-            {
-               hs->isStepped = true;
-               hs->intRange = p->val_max.i - p->val_min.i;
-            }
-            else
-            {
-               hs->isStepped = false;
-            }
-
-            setDisabledForParameter(p, hs);
+               if( p->valtype  == vt_int || p->valtype  == vt_bool)
+               {
+                  hs->isStepped = true;
+                  hs->intRange = p->val_max.i - p->val_min.i;
+               }
+               else
+               {
+                  hs->isStepped = false;
+               }
+               
+               setDisabledForParameter(p, hs);
 
                frame->addView(hs);
                param[i] = hs;
@@ -2001,28 +2022,22 @@ void SurgeGUIEditor::openOrRecreateEditor()
                   hs->deactivated = false;
 
 
-            if( p->valtype  == vt_int || p->valtype  == vt_bool)
-            {
-               hs->isStepped = true;
-               hs->intRange = p->val_max.i - p->val_min.i;
-            }
-            else
-            {
-               hs->isStepped = false;
-            }
-
+               if( p->valtype  == vt_int || p->valtype  == vt_bool)
+               {
+                  hs->isStepped = true;
+                  hs->intRange = p->val_max.i - p->val_min.i;
+               }
+               else
+               {
+                  hs->isStepped = false;
+               }
+               
 
                setDisabledForParameter(p, hs);
 
                frame->addView(hs);
                param[i] = hs;
             }
-
-            // THIS CODE WILL DIE soon
-            if( p->ctrltype == ct_airwindow_fx )
-            {
-               // SET TYPE TO NON SLIDER
-            }
          }
          break;
          }
@@ -2419,7 +2434,7 @@ int32_t SurgeGUIEditor::controlModifierClicked(CControl* control, CButtonState b
       return 1;
    }
    long tag = control->getTag();
-
+   
    // In these cases just move along with success. RMB does nothing on these switches
    if( tag == tag_mp_jogfx || tag == tag_mp_category || tag == tag_mp_patch || tag == tag_store || tag == tag_store_cancel || tag == tag_store_ok )
    {
@@ -3047,7 +3062,7 @@ int32_t SurgeGUIEditor::controlModifierClicked(CControl* control, CButtonState b
    if ((ptag >= 0) && (ptag < synth->storage.getPatch().param_ptr.size()) )
    {
       Parameter* p = synth->storage.getPatch().param_ptr[ptag];
-
+      
       auto ctrl = dynamic_cast<CSurgeSlider*>(control);
 
       // don't show RMB context menu for filter subtype if it's hidden/not applicable
@@ -3059,7 +3074,7 @@ int32_t SurgeGUIEditor::controlModifierClicked(CControl* control, CButtonState b
       if (tag == f2subtypetag && (f2type == fut_none || f2type == fut_SNH))
          return 1;
 
-      if ((button & kRButton) && !(p->ctrltype == ct_lfoshape)) // for LFO let CLFOGui handle it
+      if (button & kRButton) 
       {
          CRect menuRect;
          CPoint where;
@@ -6981,3 +6996,23 @@ void SurgeGUIEditor::setEditorOverlay(VSTGUI::CView *c, std::string editorTitle,
    // save the onClose function
    editorOverlayOnClose = onClose;
 }
+
+std::string SurgeGUIEditor::getDisplayForTag( long tag )
+{
+   if( tag < start_paramtags )
+      return "Non-param tag";
+   
+   int ptag = tag - start_paramtags;
+   if ((ptag >= 0) && (ptag < synth->storage.getPatch().param_ptr.size()) )
+   {
+      Parameter* p = synth->storage.getPatch().param_ptr[ptag];
+      if( p )
+      {
+         char txt[1024];
+         p->get_display( txt );
+         return txt;
+      }
+   }
+
+   return "Unknown";
+}
diff --git a/src/common/gui/SurgeGUIEditor.h b/src/common/gui/SurgeGUIEditor.h
index 567cd489d..434197b2c 100644
--- a/src/common/gui/SurgeGUIEditor.h
+++ b/src/common/gui/SurgeGUIEditor.h
@@ -251,6 +251,8 @@ class SurgeGUIEditor : public EditorType, public VSTGUI::IControlListener, publi
    void setEditorOverlay( VSTGUI::CView *c,
                           std::string editorTitle,
                           std::function<void()> onClose = [](){} );
+
+   std::string getDisplayForTag( long tag );
    
 private:
    int wsx = BASE_WINDOW_SIZE_X;
diff --git a/src/common/resource.h b/src/common/resource.h
index 61fad84de..5fd5e55ed 100644
--- a/src/common/resource.h
+++ b/src/common/resource.h
@@ -56,6 +56,8 @@
 #define IDB_STOREPATCH 163
 #define IDB_BUTTON_MENU 164 
 #define IDB_LFOTYPE 166
+#define IDB_MENU_IN_SLIDER_BG 167
+
 #define IDC_NAME 1001
 #define IDC_CATEGORY 1002
 #define IDC_DESCRIPTION 1003
diff --git a/src/windows/scalableresource.h b/src/windows/scalableresource.h
index e3283bd01..2c3ade91d 100644
--- a/src/windows/scalableresource.h
+++ b/src/windows/scalableresource.h
@@ -454,3 +454,11 @@
 #define IDB_LFOTYPE_SCALE_300 74166
 #define IDB_LFOTYPE_SCALE_400 75166
 #define IDB_LFOTYPE_SCALE_SVG 80166
+
+#define IDB_MENU_IN_SLIDER_SCALE_100 70167
+#define IDB_MENU_IN_SLIDER_SCALE_125 71167 
+#define IDB_MENU_IN_SLIDER_SCALE_150 72167 
+#define IDB_MENU_IN_SLIDER_SCALE_200 73167 
+#define IDB_MENU_IN_SLIDER_SCALE_300 74167
+#define IDB_MENU_IN_SLIDER_SCALE_400 75167
+#define IDB_MENU_IN_SLIDER_SCALE_SVG 80167
diff --git a/src/windows/svgresources.rc b/src/windows/svgresources.rc
index 21eecd138..e21207ee5 100644
--- a/src/windows/svgresources.rc
+++ b/src/windows/svgresources.rc
@@ -40,6 +40,7 @@ IDB_ENVMODE_SCALE_SVG DATA "assets/SurgeClassic/exported/bmp00162.svg"
 IDB_STOREPATCH_SCALE_SVG DATA "assets/SurgeClassic/exported/bmp00163.svg"
 IDB_CHARACTER_SCALE_SVG DATA "assets/SurgeClassic/exported/bmp00161.svg"
 IDB_LFOTYPE_SCALE_SVG DATA "assets/SurgeClassic/exported/bmp00166.svg"
+IDB_MENU_IN_SLIDER_SCALE_SVG DATA "assets/SurgeClassic/exported/bmp00167.svg"
 IDB_BUTTON_MINUSPLUS_SCALE_SVG DATA "assets/SurgeClassic/exported/bmp00149.svg"
 IDB_BUTTON_STORE_SCALE_SVG DATA "assets/SurgeClassic/exported/bmp00148.svg"
 IDB_FILTERSUBTYPE_SCALE_SVG DATA "assets/SurgeClassic/exported/bmp00160.svg"
